function getAppFile(aPrefName)
{
  try 
  {
    var prefs = Components.classes["@mozilla.org/preferences-service;1"];
    prefs = prefs.getService(Components.interfaces.nsIPrefBranch); 
    var appFile = prefs.getComplexValue(aPrefName, Components.interfaces.nsILocalFile); 
    return appFile
  }
  catch (ex) 
  {
    return null;
  }
}

function openApp(aPrefName) 
{
  var appFile = getAppFile(aPrefName);
  if (appFile) 
  {
    try {
      // this should cause the operating system to simulate double clicking 
      // on the location which should launch your calendar application.
      appFile.launch();
    }
    catch (ex)
    { 
    }
  }
}

function haveInternalCalendar()
{
  return false;

  try 
  {
    var iCalLibComponent = Components.classes["@mozilla.org/ical-container;1"].getService(Components.interfaces.oeIICalContainer);
    return true;
  }
  catch (ex)
  {
    return false;
  }
}

function openOtherCal()
{ 
  if (!haveInternalCalendar())
    openApp("task.calendar.location");
}

function initOtherCalTask()
{
  var otherCalTaskBarIcon = document.getElementById("mini-other-cal");
  var otherCalMenuItem = document.getElementById("tasksMenuOtherCal");

  var appFile = getAppFile("task.calendar.location");
  if (appFile && !haveInternalCalendar())
  {
    otherCalTaskBarIcon.collapsed = false;
    otherCalMenuItem.collapsed = false;
  }
}

setTimeout("initOtherCalTask();", 0);
